<?php include 'showcode.php'; ?>
<html>
<head>
	<script src="../js/ace/ace.js" type="text/javascript" charset="utf-8"></script>
	<script src="../js/jquery-1.8.0.min.js" type="text/javascript" charset="utf-8"></script>
	<script type="text/javascript">
	aceeditors = [];
	</script>
	<style type="text/css" media="screen">
	body {
		margin:  0;
		padding: 0;
	}

	#header {
		clear:both;
		float:left;
		width:100%;
		background-color:  #eee;
	}
	.colleft {
		float:left;
		width:100%;
		position:relative;
	}
	.col1,
	.col2,
	.col3 {
		float:left;
		position:relative;
		padding:0 0 0 0;
		overflow:hidden;
	}

	/* column container */
	.colmask {
		position:relative;	/* This fixes the IE7 overflow hidden bug */
		clear:both;
		float:left;
		width:100%;			/* width of whole page */
		overflow:hidden;		/* This chops off any overhanging divs */
	}

	/* 2 Column (left menu) settings */
	.leftmenu {
		background:#fff;		/* right column background colour */
	}
	.leftmenu .colleft {
		right:60%;			/* right column width */
		background:#f4f4f4;	/* left column background colour */
	}
	.leftmenu .col1 {
		width:60%;			/* right column content width */
		left:100%;			/* 100% plus left column left padding */
	}
	.leftmenu .col2 {
		width:31%;			/* left column content width (column width minus left and right padding) */
		left:4%;			/* (right column left and right padding) plus (left column left padding) */
	}
	.ace { 
		height:500px;
		width:100%;
	}

	.highlighted {
		background-color:  #ff00ff;
		opacity: 0.5;
		position: absolute;
		z-index: 4;
	}
	</style>

</head>
<body>
	<div id="header">
		Test test test<br>
		test test hhh
	</div>
	<div class="colmask leftmenu">
		<div class="colleft">
			<div class="col1">
				<?php	showfile("showcode.php", "php");?>
				<?php	showfile("index.php", "html");?>
			</div>
			<div class="col2">
				
				<div id="doc">
					<?php
					showdoc("DomExample1.htm");
					?>
				</div>
			</div>

		</div>
	</div>

</body>

<script type="text/javascript">

function highlight(id, word){
	clearHighlights();
	for(var x = 0; x < id.length; x++) {
		var Range = require("ace/range").Range;
		var Search = require("ace/search").Search;

		var editor = ace.edit(id[x]);

		srch = new Search();
		srch.set({needle:word});
		numbers = [];
		numbers = srch.findAll(editor.getSession());


		for(var i = 0; i < numbers.length;i++){
			editor.getSession().addMarker(numbers[i], "highlighted", "text",false);
		}}

	}

	function clearHighlights(){
		for(var i = 0; i < aceeditors.length; i++){
			var editor = ace.edit(aceeditors[i]);
			markers = editor.getSession().getMarkers(false);

			$.each(markers, function(index, value){
				editor.getSession().removeMarker(index);
			});
		}
	}
	</script>
	</html>