<?php

function showfile($filename, $lang) {
	echo "<strong>".$filename."</strong>";
	echo '<div id="ace_'.str_replace(".", "", $filename).'"" class="ace">';
	$handle = @fopen($filename, "r");
	if ($handle) {

		while (($buffer = fgets($handle, 4096)) !== false) {

			$buffer = str_replace("&", "&amp;", $buffer);
			$buffer = str_replace("<", "&lt;", $buffer);
			$buffer = str_replace(">", "&gt;", $buffer);
			

			echo $buffer;
		}
		if (!feof($handle)) {
			echo "Error: unexpected fgets() fail\n";
		}
		fclose($handle);
	}
	echo '</div>';

	echo  '
<script type="text/javascript">
	var editor = ace.edit("ace_'.str_replace(".", "", $filename).'");
	editor.setTheme("ace/theme/monokai");
	editor.getSession().setMode("ace/mode/'.$lang.'");
	editor.setReadOnly(true);
	editor.setShowPrintMargin(false);
	editor.setDisplayIndentGuides(false);
	aceeditors.push("ace_'.str_replace(".", "", $filename).'");
	</script>
';

}

function showdoc($filename) {

	$handle = @fopen($filename, "r");
	if ($handle) {


		while (($buffer = fgets($handle, 4096)) !== false) {
			echo $buffer;
		}
		if (!feof($handle)) {
			echo "Error: unexpected fgets() fail\n";
		}
		fclose($handle);
	}
}
?>